<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class cat_score_operativo_afianzadoras

    {

        public function insert_cat_score_operativo_afianzadoras($Nivel_Score, $Interpretacion, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO cat_score_operativo_afianzadoras(Nivel_Score, Interpretacion) VALUES ('$Nivel_Score', '$Interpretacion') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_cat_score_operativo_afianzadoras($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM cat_score_operativo_afianzadoras ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_cat_score_operativo_afianzadoraspg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

            }else{

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_cat_score_operativo_afianzadoras($Id_Cat_Score_Operativo_Afianzadoras, $Nivel_Score, $Interpretacion, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_score_operativo_afianzadoras SET Id_Cat_Score_Operativo_Afianzadoras='$Id_Cat_Score_Operativo_Afianzadoras', Nivel_Score='$Nivel_Score', Interpretacion='$Interpretacion' WHERE Id_Cat_Score_Operativo_Afianzadoras = '$Id_Cat_Score_Operativo_Afianzadoras'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_cat_score_operativo_afianzadoras($Id_Cat_Score_Operativo_Afianzadoras)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM cat_score_operativo_afianzadoras WHERE Id_Cat_Score_Operativo_Afianzadoras='$Id_Cat_Score_Operativo_Afianzadoras'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_cat_score_operativo_afianzadoras($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM cat_score_operativo_afianzadoras ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_cat_score_operativo_afianzadoraspg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_cat_score_operativo_afianzadoras($Id_Cat_Score_Operativo_Afianzadoras)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE Id_Cat_Score_Operativo_Afianzadoras='$Id_Cat_Score_Operativo_Afianzadoras'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_cat_score_operativo_afianzadoras_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_score_operativo_afianzadoras";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_cat_score_operativo_afianzadoras($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

                $consulta="SELECT count(*) as numregis FROM cat_score_operativo_afianzadoras WHERE Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_cat_score_operativo_afianzadoraspg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE $_Clausula_Fk=$_IdFk AND (Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

            }else{

                $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE Id_Cat_Score_Operativo_Afianzadoras LIKE '%$Buscar%' || Nivel_Score LIKE '%$Buscar%' || Interpretacion LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_cat_score_operativo_afianzadoras($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_score_operativo_afianzadoras WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Cat_Score_Operativo_Afianzadoras DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_cat_score_operativo_afianzadoras($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_cat_score_operativo_afianzadoras($Field,$Value,$Id_Cat_Score_Operativo_Afianzadoras)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_score_operativo_afianzadoras SET $Field='$Valueinto' WHERE Id_Cat_Score_Operativo_Afianzadoras= '$Id_Cat_Score_Operativo_Afianzadoras'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_cat_score_operativo_afianzadoras($Field,$Value,$Id_Cat_Score_Operativo_Afianzadoras)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_score_operativo_afianzadoras SET $Field='$Value' WHERE Id_Cat_Score_Operativo_Afianzadoras= '$Id_Cat_Score_Operativo_Afianzadoras'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_score_operativo_afianzadoras';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>